<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateFornecedoresTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('fornecedores', function (Blueprint $table) {
            $table->id();
            $table->string('nome')->nullable();
            $table->string('cnpj_cpf')->nullable();
            $table->integer('tipopessoa')->nullable();
            $table->string('endereco')->nullable();
            $table->string('numero')->nullable();
            $table->string('complemento')->nullable();
            $table->string('bairro')->nullable();
            $table->string('cidade')->nullable();
            $table->string('uf')->nullable();
            $table->string('fone')->nullable();
            $table->string('inscestadual')->nullable();
            $table->string('inscmunicipal')->nullable();
            $table->string('empresa')->nullable();
            $table->string('cep')->nullable();
            $table->integer('mei')->nullable();
            $table->string('email')->nullable();

            $table->integer('devedor');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('fornecedores');
    }
}
